package com.qmth.distributed.print.business.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.qmth.distributed.print.business.bean.dto.ExamDetailDto;
import com.qmth.distributed.print.business.entity.ExamDetail;

/**
 * <p>
 * 考务数据 服务类
 * </p>
 *
 * @author xf
 * @since 2021-03-23
 */
public interface ExamDetailService extends IService<ExamDetail> {
    /**
     * 计算印刷计划下的总科次
     * @param printPlanId 印刷计划id
     * @return 该印刷计划下总科次
     */
    double calculateTotalSubjects(Long printPlanId);

    /**
     * 计算印刷计划下的总卷袋数
     * @param printPlanId 印刷计划id
     * @return 该印刷计划下总卷袋数
     */
    double calculateTotalPackages(Long printPlanId);

    IPage<ExamDetailDto> list(Long schoolId, String relateType, Long printPlanId, String courseCode, String paperNumber, Integer pageNumber, Integer pageSize);
}
